Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

eZ\Publish\API\Repository\LocationService Member List

This is the complete list of members for eZ\Publish\API\Repository\LocationService, including all inherited members.

copySubtree(Location $subtree, Location $targetParentLocation) | eZ\Publish\API\Repository\LocationService |
createLocation(ContentInfo $contentInfo, LocationCreateStruct $locationCreateStruct) | eZ\Publish\API\Repository\LocationService |
deleteLocation(Location $location) | eZ\Publish\API\Repository\LocationService |
getAllLocationsCount() | eZ\Publish\API\Repository\LocationService |
getLocationChildCount(Location $location) | eZ\Publish\API\Repository\LocationService |
hideLocation(Location $location) | eZ\Publish\API\Repository\LocationService |
loadAllLocations(int $offset=0, int $limit=25) | eZ\Publish\API\Repository\LocationService |
loadLocation($locationId, array $prioritizedLanguages=null, bool $useAlwaysAvailable=null) | eZ\Publish\API\Repository\LocationService |
loadLocationByRemoteId($remoteId, array $prioritizedLanguages=null, bool $useAlwaysAvailable=null) | eZ\Publish\API\Repository\LocationService |
loadLocationChildren(Location $location, $offset=0, $limit=25, array $prioritizedLanguages=null) | eZ\Publish\API\Repository\LocationService |
loadLocationList(array $locationIds, array $prioritizedLanguages=null, bool $useAlwaysAvailable=null) | eZ\Publish\API\Repository\LocationService |
loadLocations(ContentInfo $contentInfo, Location $rootLocation=null, array $prioritizedLanguages=null) | eZ\Publish\API\Repository\LocationService |
loadParentLocationsForDraftContent(VersionInfo $versionInfo, array $prioritizedLanguages=null) | eZ\Publish\API\Repository\LocationService |
moveSubtree(Location $location, Location $newParentLocation) | eZ\Publish\API\Repository\LocationService |
newLocationCreateStruct($parentLocationId) | eZ\Publish\API\Repository\LocationService |
newLocationUpdateStruct() | eZ\Publish\API\Repository\LocationService |
swapLocation(Location $location1, Location $location2) | eZ\Publish\API\Repository\LocationService |
unhideLocation(Location $location) | eZ\Publish\API\Repository\LocationService |
updateLocation(Location $location, LocationUpdateStruct $locationUpdateStruct) | eZ\Publish\API\Repository\LocationService |

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.